# $Revision: 1.12 $, $Date: 2010/11/14 09:01:58 $

%define		qtver	4.4.1

Summary:	Automoc4 - automatically adding Qt moc files rules for CMake
Summary(pl.UTF-8):	Automoc4 - automatyczne dodawanie reguł dla plików Qt moc do CMake
Name:		automoc4
Version:	0.9.88
Release:	2
License:	BSD
Group:		Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/stable/automoc4/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	91bf517cb940109180ecd07bc90c69ec
URL:		http://techbase.kde.org/Development/Tools/Automoc4
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	cmake >= 2.6.1-2
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
Obsoletes:	kde4-automoc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
automoc4 is a tool to add rules for generating Qt moc files
automatically to projects that use CMake as the buildsystem.

%description -l pl.UTF-8
automoc4 to narzędzie dodające automatycznie reguły do tworzenia
plików Qt moc do projektów wykorzystujących CMake jako swojego
systemu budowania.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64 \
%endif
	-DQT_QMAKE_EXECUTABLE=/usr/bin/qmake-qt4

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/automoc4
%dir %{_libdir}/automoc4
%{_libdir}/automoc4/Automoc4*.cmake
%{_libdir}/automoc4/automoc4.files.in

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: automoc4.spec,v $
Revision 1.12  2010/11/14 09:01:58  qboosh
- added URL and real descriptions
- pass QT_QMAKE_EXECUTABLE to find proper qmake
- release 2

Revision 1.11  2010/02/03 09:33:50  shadzik
- unify qtver macro

Revision 1.10  2009/11/26 12:11:20  arekm
- url fixed

Revision 1.9  2009/01/22 19:14:20  shadzik
- 0.9.88

Revision 1.8  2008/11/04 13:47:33  shadzik
- s/3/4/

Revision 1.7  2008/08/17 23:01:05  shadzik
- 0.9.87

Revision 1.6  2008/07/24 13:09:41  arekm
- up to 0.9.84

Revision 1.5  2008/06/25 09:08:05  shadzik
- define _qtver

Revision 1.4  2008/06/25 08:44:09  paszczus
- added missing BRs

Revision 1.3  2008/06/24 19:32:11  shadzik
- O: kde4-automoc

Revision 1.2  2008/06/24 19:31:23  shadzik
- more fixes
- up to 0.9.83

Revision 1.1  2008/06/24 19:27:55  shadzik
- from kde4-automoc.spec

Revision 1.7  2008/06/12 17:52:16  shadzik
- better versioning with fake kde version

Revision 1.6  2008-05-27 07:52:43  pluto
- use lib64.patch.

Revision 1.5  2008-05-24 18:14:07  shadzik
- always apply lib64.patch

Revision 1.4  2008-05-24 13:48:28  shadzik
- real lib64 fix

Revision 1.3  2008-05-24 13:40:50  shadzik
- tabs

Revision 1.2  2008-05-24 13:19:46  paszczus
- lib64 fixes

Revision 1.1  2008-05-24 10:41:41  rotom
- initial
